import { ChainGunSeaClient, GunGraphAdapter, GunGraphConnector, GunProcessQueue } from '@chaingun/sea-client';
import SocketClusterGraphConnector from '@chaingun/socketcluster-connector';
interface Opts {
    readonly socketCluster: any;
}
export declare class NabIndexer extends ChainGunSeaClient {
    readonly socket: SocketClusterGraphConnector;
    readonly dbAdapter: GunGraphAdapter;
    readonly dbConnector: GunGraphConnector;
    readonly indexerQueue: GunProcessQueue<any>;
    constructor(options?: Opts);
    authenticate(): void;
    newScope(): any;
    directRead(soul: string): Promise<any>;
    protected didReceiveDiff(msg: any): void;
}
export {};
